# photosite

Static site generator for building a simple photo site.

### Install

```bash
npm i
```

Create a `.env` file by copying the `default.env` file and modifying the values as needed.

### Generate Site Data

The following command will sync the data with s3, generate metadata for each new photo and produce all required thumbnails required for the site.

```bash
npm run generate
```

### Build Site

This command will build the website using the sqlite + photo data available at the time it is run.

```bash
npm run build
```